//***************************************************
//*  Despeckle Interface DLL 32 Bits functions         *
//*  Library Version 1.0                            *
//*  Copyright 2009 - 2014 All rigths reserved      *
//*  RECOGNIFORM TECHNOLGIES SPA                    *
//*  www.recogniform.com - info@recogniform.com     *
//***************************************************
#include "StdAfx.h"
//#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <windows.h>

	typedef long (__stdcall *DESPECKLE_INIT) (char*, char*);
DESPECKLE_INIT DESPECKLE_Init;

//  Goal: deinitialize the engine
//  Requires: session handle,
//  Result: n/a
typedef void (__stdcall*DESPECKLE_DONE) (long);
DESPECKLE_DONE DESPECKLE_Done;

//  Goal: detect and correct skew in auto mode
//  Requires: session handle, dib handle
//  Result: skew angle detected and corrected in degree
typedef long (__stdcall *DESPECKLE_REMOVEPOINTS) (long, long,long,long);
DESPECKLE_REMOVEPOINTS DESPECKLE_RemovePoints;



// DESKEW Library handle
HINSTANCE DESPECKLELIB=NULL;


// Use this funciton to load dynamically the DESKEW library
// The function return -1 if the library is not found or 0 if all goes rigth

long LoadDESPECKLELibrary()
{
DESPECKLELIB=LoadLibrary("RECODESPECKLE.DLL");
if(DESPECKLELIB == NULL)
 {
  MessageBox(NULL, "Unable to load RECODESPECKLE.DLL", "ERROR", MB_OK);
  return(-1);
 }
else
 {
 DESPECKLE_Init=(DESPECKLE_INIT)GetProcAddress(DESPECKLELIB,"DESPECKLE_Init");
 DESPECKLE_Done=(DESPECKLE_DONE)GetProcAddress(DESPECKLELIB,"DESPECKLE_Done");
 DESPECKLE_RemovePoints=(DESPECKLE_REMOVEPOINTS)GetProcAddress(DESPECKLELIB,"DESPECKLE_RemovePoints");
 return(0);
 }
}


// Use this funciton to unload the DESKEW library when you don't need it

void FreeDESPECKLELibrary()
 {
 if (DESPECKLELIB != NULL)
  {
  FreeLibrary(DESPECKLELIB);
  DESPECKLELIB = NULL;
  }
 }





